<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0) on Wed Aug 15 19:54:13 CEST 2007 -->
<TITLE>
Board
</TITLE>

<META NAME="date" CONTENT="2007-08-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Board";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/Board.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../model/chess/Field.html" title="class in model.chess"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../index.html?model/chess/Board.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Board.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
model.chess</FONT>
<BR>
Class Board</H2>
<PRE>
<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../resources/inherit.gif" ALT="extended by "><B>model.chess.Board</B>
</PRE>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../model/chess/trid/TriDBoard.html" title="class in model.chess.trid">TriDBoard</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <B>Board</B><DT>extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
Abstract base class for chess boards. Can also be implemented by normal chess
 boards.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>robert.wloch@tempel-der-guten-dinge.de</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#BISHOP_BLACK">BISHOP_BLACK</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Figure ID.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#BISHOP_WHITE">BISHOP_WHITE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Figure ID.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#CASTLE_BLACK">CASTLE_BLACK</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Figure ID.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#CASTLE_WHITE">CASTLE_WHITE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Figure ID.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#figureImageFilenames">figureImageFilenames</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Figure types' image file names.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#figureTypes">figureTypes</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Figure types as array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#KING_BLACK">KING_BLACK</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Figure ID.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#KING_WHITE">KING_WHITE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Figure ID.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#KNIGHT_BLACK">KNIGHT_BLACK</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Figure ID.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#KNIGHT_WHITE">KNIGHT_WHITE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Figure ID.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#PAWN_BLACK">PAWN_BLACK</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Figure ID.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#PAWN_WHITE">PAWN_WHITE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Figure ID.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#QUEEN_BLACK">QUEEN_BLACK</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Figure ID.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#QUEEN_WHITE">QUEEN_WHITE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Figure ID.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../model/chess/Board.html#Board()">Board</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#clearEverything()">clearEverything</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Clears all figure lists and fields from figures.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>,<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#createBoardFigures()">createBoardFigures</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Creates a mapping of field names to figures for initial figure placement
 on normal chess boards.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#createFields()">createFields</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates the fields of a chess board.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#createFigureListViews(java.awt.Dimension, gui.chess.ChessUi)">createFigureListViews</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Dimension.html?is-external=true" title="class or interface in java.awt">Dimension</A>&nbsp;size,
                      <A HREF="../../gui/chess/ChessUi.html" title="class in gui.chess">ChessUi</A>&nbsp;ui)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates the FigureListViews for black and white figures out of play.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#createGridFields(int, int)">createGridFields</A></B>(int&nbsp;maxX,
                 int&nbsp;maxY)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new grid of Fields (Field[maxX][maxY]).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#createLogView(java.awt.Dimension, gui.chess.ChessUi)">createLogView</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Dimension.html?is-external=true" title="class or interface in java.awt">Dimension</A>&nbsp;size,
              <A HREF="../../gui/chess/ChessUi.html" title="class in gui.chess">ChessUi</A>&nbsp;ui)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates the LogView.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#displayHelpMessageBox(javax.swing.JFrame)">displayHelpMessageBox</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/javax/swing/JFrame.html?is-external=true" title="class or interface in javax.swing">JFrame</A>&nbsp;frame)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Display a message box or something similar to provide help information.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#generalInit()">generalInit</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Must be invoked after the board's view received it's parent.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#get2DName(int[])">get2DName</A></B>(int[]&nbsp;xy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a Field name for the given board position.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#get3DName(int[])">get3DName</A></B>(int[]&nbsp;xyz)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a 3D Field name for the given board position.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../gui/chess/FiguresListView.html" title="class in gui.chess">FiguresListView</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getAttackedFiguresView()">getAttackedFiguresView</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getBlackAttackedFiguresList()">getBlackAttackedFiguresList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getBlackFiguresList()">getBlackFiguresList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getBlackKing()">getBlackKing</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>,<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getFieldsByName()">getFieldsByName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getFieldsList()">getFieldsList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getFieldUnderMouseDrag()">getFieldUnderMouseDrag</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getFigureImageFilenames()">getFigureImageFilenames</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getFigureTypes()">getFigureTypes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../model/chess/trid/Game.html" title="class in model.chess.trid">Game</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getGame()">getGame</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>[][]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getGridFields()">getGridFields</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getLastFieldUnderMouse()">getLastFieldUnderMouse</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../model/chess/trid/Pin.html" title="class in model.chess.trid">Pin</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getLastPinUnderMouse()">getLastPinUnderMouse</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/javax/swing/JComponent.html?is-external=true" title="class or interface in javax.swing">JComponent</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getLogJComponent()">getLogJComponent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../gui/chess/LogView.html" title="class in gui.chess">LogView</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getLogView()">getLogView</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getMouseDragPosition()">getMouseDragPosition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/trid/Pin.html" title="class in model.chess.trid">Pin</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getPinsList()">getPinsList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../model/chess/trid/Pin.html" title="class in model.chess.trid">Pin</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getPinUnderMouseDrag()">getPinUnderMouseDrag</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../gui/chess/BoardView.html" title="class in gui.chess">BoardView</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getView()">getView</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getWhiteAttackedFiguresList()">getWhiteAttackedFiguresList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getWhiteFiguresList()">getWhiteFiguresList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#getWhiteKing()">getWhiteKing</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#highlightFieldsForSelectedField(model.chess.Field)">highlightFieldsForSelectedField</A></B>(<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Check figure on selected field and highlight other fields to indicate
 range or coverage.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#isDragging()">isDragging</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#loadImages()">loadImages</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Loads the figure image files from the images folder.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#placeFigureOutOfGame(model.chess.Figure)">placeFigureOutOfGame</A></B>(<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Marks a figure as out of game.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#processMouseDrag(java.awt.event.MouseEvent)">processMouseDrag</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Process a mouse drag event on the BoardView.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#processMouseDragEnd(java.awt.event.MouseEvent)">processMouseDragEnd</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Process end of a mouse drag event on the BoardView.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#processMouseDragStart(java.awt.event.MouseEvent)">processMouseDragStart</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Process start of a mouse drag event on the BoardView.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#processMouseMotion(java.awt.event.MouseEvent)">processMouseMotion</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Process a mouse motion event on the BoardView.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#recreateFieldsByName()">recreateFieldsByName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Recreate fields by name mapping.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#refreshFiguresStates()">refreshFiguresStates</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;For all figures needs to find the fields they can move onto, figures they
 can attack, and figures they cover.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#setBlackKing(model.chess.Figure)">setBlackKing</A></B>(<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#setDragging(boolean)">setDragging</A></B>(boolean&nbsp;dragging)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#setFieldShade(model.chess.Field, int)">setFieldShade</A></B>(<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;field,
              int&nbsp;shade)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Applies a shade to all fields with the same name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#setFieldUnderMouseDrag(model.chess.Field)">setFieldUnderMouseDrag</A></B>(<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;fieldUnderMouseDrag)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#setGame(model.chess.trid.Game)">setGame</A></B>(<A HREF="../../model/chess/trid/Game.html" title="class in model.chess.trid">Game</A>&nbsp;game)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#setGridField(int, int, model.chess.Field)">setGridField</A></B>(int&nbsp;x,
             int&nbsp;y,
             <A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Places a Field on a screen grid position.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#setLastFieldUnderMouse(model.chess.Field)">setLastFieldUnderMouse</A></B>(<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;lastFieldUnderMouse)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#setLastPinUnderMouse(model.chess.trid.Pin)">setLastPinUnderMouse</A></B>(<A HREF="../../model/chess/trid/Pin.html" title="class in model.chess.trid">Pin</A>&nbsp;lastPinUnderMouse)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#setMouseDragPosition(java.awt.Point)">setMouseDragPosition</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;mouseDragPosition)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#setPinUnderMouseDrag(model.chess.trid.Pin)">setPinUnderMouseDrag</A></B>(<A HREF="../../model/chess/trid/Pin.html" title="class in model.chess.trid">Pin</A>&nbsp;pinUnderMouseDrag)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#setView(gui.chess.BoardView)">setView</A></B>(<A HREF="../../gui/chess/BoardView.html" title="class in gui.chess">BoardView</A>&nbsp;view)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Board.html#setWhiteKing(model.chess.Figure)">setWhiteKing</A></B>(<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="PAWN_WHITE"><!-- --></A><H3>
PAWN_WHITE</H3>
<PRE>
public static final int <B>PAWN_WHITE</B></PRE>
<DL>
<DD>Figure ID.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Board.PAWN_WHITE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="CASTLE_WHITE"><!-- --></A><H3>
CASTLE_WHITE</H3>
<PRE>
public static final int <B>CASTLE_WHITE</B></PRE>
<DL>
<DD>Figure ID.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Board.CASTLE_WHITE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="KNIGHT_WHITE"><!-- --></A><H3>
KNIGHT_WHITE</H3>
<PRE>
public static final int <B>KNIGHT_WHITE</B></PRE>
<DL>
<DD>Figure ID.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Board.KNIGHT_WHITE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="BISHOP_WHITE"><!-- --></A><H3>
BISHOP_WHITE</H3>
<PRE>
public static final int <B>BISHOP_WHITE</B></PRE>
<DL>
<DD>Figure ID.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Board.BISHOP_WHITE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="QUEEN_WHITE"><!-- --></A><H3>
QUEEN_WHITE</H3>
<PRE>
public static final int <B>QUEEN_WHITE</B></PRE>
<DL>
<DD>Figure ID.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Board.QUEEN_WHITE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="KING_WHITE"><!-- --></A><H3>
KING_WHITE</H3>
<PRE>
public static final int <B>KING_WHITE</B></PRE>
<DL>
<DD>Figure ID.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Board.KING_WHITE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="PAWN_BLACK"><!-- --></A><H3>
PAWN_BLACK</H3>
<PRE>
public static final int <B>PAWN_BLACK</B></PRE>
<DL>
<DD>Figure ID.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Board.PAWN_BLACK">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="CASTLE_BLACK"><!-- --></A><H3>
CASTLE_BLACK</H3>
<PRE>
public static final int <B>CASTLE_BLACK</B></PRE>
<DL>
<DD>Figure ID.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Board.CASTLE_BLACK">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="KNIGHT_BLACK"><!-- --></A><H3>
KNIGHT_BLACK</H3>
<PRE>
public static final int <B>KNIGHT_BLACK</B></PRE>
<DL>
<DD>Figure ID.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Board.KNIGHT_BLACK">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="BISHOP_BLACK"><!-- --></A><H3>
BISHOP_BLACK</H3>
<PRE>
public static final int <B>BISHOP_BLACK</B></PRE>
<DL>
<DD>Figure ID.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Board.BISHOP_BLACK">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="QUEEN_BLACK"><!-- --></A><H3>
QUEEN_BLACK</H3>
<PRE>
public static final int <B>QUEEN_BLACK</B></PRE>
<DL>
<DD>Figure ID.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Board.QUEEN_BLACK">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="KING_BLACK"><!-- --></A><H3>
KING_BLACK</H3>
<PRE>
public static final int <B>KING_BLACK</B></PRE>
<DL>
<DD>Figure ID.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Board.KING_BLACK">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="figureTypes"><!-- --></A><H3>
figureTypes</H3>
<PRE>
public static final int[] <B>figureTypes</B></PRE>
<DL>
<DD>Figure types as array.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="figureImageFilenames"><!-- --></A><H3>
figureImageFilenames</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>[] <B>figureImageFilenames</B></PRE>
<DL>
<DD>Figure types' image file names.
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="Board()"><!-- --></A><H3>
Board</H3>
<PRE>
public <B>Board</B>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="generalInit()"><!-- --></A><H3>
generalInit</H3>
<PRE>
public void <B>generalInit</B>()</PRE>
<DL>
<DD>Must be invoked after the board's view received it's parent.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="loadImages()"><!-- --></A><H3>
loadImages</H3>
<PRE>
protected void <B>loadImages</B>()</PRE>
<DL>
<DD>Loads the figure image files from the images folder.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createLogView(java.awt.Dimension, gui.chess.ChessUi)"><!-- --></A><H3>
createLogView</H3>
<PRE>
protected void <B>createLogView</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Dimension.html?is-external=true" title="class or interface in java.awt">Dimension</A>&nbsp;size,
                             <A HREF="../../gui/chess/ChessUi.html" title="class in gui.chess">ChessUi</A>&nbsp;ui)</PRE>
<DL>
<DD>Creates the LogView.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>size</CODE> - Dimension<DD><CODE>ui</CODE> - ChessUi</DL>
</DD>
</DL>
<HR>

<A NAME="createFigureListViews(java.awt.Dimension, gui.chess.ChessUi)"><!-- --></A><H3>
createFigureListViews</H3>
<PRE>
protected void <B>createFigureListViews</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Dimension.html?is-external=true" title="class or interface in java.awt">Dimension</A>&nbsp;size,
                                     <A HREF="../../gui/chess/ChessUi.html" title="class in gui.chess">ChessUi</A>&nbsp;ui)</PRE>
<DL>
<DD>Creates the FigureListViews for black and white figures out of play.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>size</CODE> - Dimension<DD><CODE>ui</CODE> - ChessUi</DL>
</DD>
</DL>
<HR>

<A NAME="getLogView()"><!-- --></A><H3>
getLogView</H3>
<PRE>
public <A HREF="../../gui/chess/LogView.html" title="class in gui.chess">LogView</A> <B>getLogView</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>logView</DL>
</DD>
</DL>
<HR>

<A NAME="getLogJComponent()"><!-- --></A><H3>
getLogJComponent</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/javax/swing/JComponent.html?is-external=true" title="class or interface in javax.swing">JComponent</A> <B>getLogJComponent</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>a JComponent containing the logView</DL>
</DD>
</DL>
<HR>

<A NAME="getAttackedFiguresView()"><!-- --></A><H3>
getAttackedFiguresView</H3>
<PRE>
public <A HREF="../../gui/chess/FiguresListView.html" title="class in gui.chess">FiguresListView</A> <B>getAttackedFiguresView</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the attackedFiguresView</DL>
</DD>
</DL>
<HR>

<A NAME="createFields()"><!-- --></A><H3>
createFields</H3>
<PRE>
protected abstract void <B>createFields</B>()</PRE>
<DL>
<DD>Creates the fields of a chess board. Must set the size of the board's
 view.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createBoardFigures()"><!-- --></A><H3>
createBoardFigures</H3>
<PRE>
public abstract <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>,<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&gt; <B>createBoardFigures</B>()</PRE>
<DL>
<DD><p>
 Creates a mapping of field names to figures for initial figure placement
 on normal chess boards. The extention ":n" specifies the vertical position
 of a field, which is not the same for all fields on Tri-D chess boards but
 is equal for all Fields on normal boards.
 </p>
 <p>
 The map contains also mappings from "attackboard.[white|black].[1|2]" to
 Pin names. Pin names are "QP1"-"QP6" and "KP1"-"KP6".
 </p>
 <p>
 Therefor the value Object may be an Integer or a String.
 </p>
<P>
<DD><DL>

<DT><B>Returns:</B><DD>Map<String, Object>, e.g., "a8:0"-> CASTLE_BLACK or "z9:5"->
         CASTLE_BLACK</DL>
</DD>
</DL>
<HR>

<A NAME="get3DName(int[])"><!-- --></A><H3>
get3DName</H3>
<PRE>
public abstract <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>get3DName</B>(int[]&nbsp;xyz)</PRE>
<DL>
<DD>Returns a 3D Field name for the given board position.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>xyz</CODE> - 
<DT><B>Returns:</B><DD>String, e.g. "a9:5" on a Tri-D board or "a8:0" on a regular board</DL>
</DD>
</DL>
<HR>

<A NAME="get2DName(int[])"><!-- --></A><H3>
get2DName</H3>
<PRE>
public abstract <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>get2DName</B>(int[]&nbsp;xy)</PRE>
<DL>
<DD>Returns a Field name for the given board position.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>xy</CODE> - 
<DT><B>Returns:</B><DD>String, e.g. "a9" on a Tri-D board or "a8" on a regular board</DL>
</DD>
</DL>
<HR>

<A NAME="clearEverything()"><!-- --></A><H3>
clearEverything</H3>
<PRE>
public void <B>clearEverything</B>()</PRE>
<DL>
<DD>Clears all figure lists and fields from figures.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="recreateFieldsByName()"><!-- --></A><H3>
recreateFieldsByName</H3>
<PRE>
public void <B>recreateFieldsByName</B>()</PRE>
<DL>
<DD>Recreate fields by name mapping. Clears the map and adds every field found
 in the field map again with it's current 3D name. Calling this method can
 be necessary after the position of the attack board fields have changed.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="highlightFieldsForSelectedField(model.chess.Field)"><!-- --></A><H3>
highlightFieldsForSelectedField</H3>
<PRE>
protected abstract void <B>highlightFieldsForSelectedField</B>(<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</PRE>
<DL>
<DD>Check figure on selected field and highlight other fields to indicate
 range or coverage.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>f</CODE> - selected Field</DL>
</DD>
</DL>
<HR>

<A NAME="processMouseMotion(java.awt.event.MouseEvent)"><!-- --></A><H3>
processMouseMotion</H3>
<PRE>
public abstract void <B>processMouseMotion</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</PRE>
<DL>
<DD>Process a mouse motion event on the BoardView. Triggers highlighting of
 fields and pins if the mouse cursor hovers over fields and pins.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>e</CODE> - MouseEvent</DL>
</DD>
</DL>
<HR>

<A NAME="processMouseDrag(java.awt.event.MouseEvent)"><!-- --></A><H3>
processMouseDrag</H3>
<PRE>
public abstract void <B>processMouseDrag</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</PRE>
<DL>
<DD>Process a mouse drag event on the BoardView. Triggers movement of figures
 and pins.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>e</CODE> - MouseEvent</DL>
</DD>
</DL>
<HR>

<A NAME="processMouseDragStart(java.awt.event.MouseEvent)"><!-- --></A><H3>
processMouseDragStart</H3>
<PRE>
public abstract void <B>processMouseDragStart</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</PRE>
<DL>
<DD>Process start of a mouse drag event on the BoardView. Triggers movement of
 figures and pins.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>e</CODE> - MouseEvent</DL>
</DD>
</DL>
<HR>

<A NAME="processMouseDragEnd(java.awt.event.MouseEvent)"><!-- --></A><H3>
processMouseDragEnd</H3>
<PRE>
public abstract void <B>processMouseDragEnd</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/event/MouseEvent.html?is-external=true" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</PRE>
<DL>
<DD>Process end of a mouse drag event on the BoardView. Triggers movement of
 figures and pins.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>e</CODE> - MouseEvent</DL>
</DD>
</DL>
<HR>

<A NAME="setFieldShade(model.chess.Field, int)"><!-- --></A><H3>
setFieldShade</H3>
<PRE>
protected abstract void <B>setFieldShade</B>(<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;field,
                                      int&nbsp;shade)</PRE>
<DL>
<DD>Applies a shade to all fields with the same name. On normal boards the
 shade should be set to the field only.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>field</CODE> - <DD><CODE>shade</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="isDragging()"><!-- --></A><H3>
isDragging</H3>
<PRE>
public boolean <B>isDragging</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>dragging</DL>
</DD>
</DL>
<HR>

<A NAME="setDragging(boolean)"><!-- --></A><H3>
setDragging</H3>
<PRE>
public void <B>setDragging</B>(boolean&nbsp;dragging)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>dragging</CODE> - Festzulegender dragging</DL>
</DD>
</DL>
<HR>

<A NAME="getView()"><!-- --></A><H3>
getView</H3>
<PRE>
public <A HREF="../../gui/chess/BoardView.html" title="class in gui.chess">BoardView</A> <B>getView</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>view</DL>
</DD>
</DL>
<HR>

<A NAME="setView(gui.chess.BoardView)"><!-- --></A><H3>
setView</H3>
<PRE>
protected void <B>setView</B>(<A HREF="../../gui/chess/BoardView.html" title="class in gui.chess">BoardView</A>&nbsp;view)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>view</CODE> - BoardView</DL>
</DD>
</DL>
<HR>

<A NAME="getFieldsList()"><!-- --></A><H3>
getFieldsList</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt; <B>getFieldsList</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>fieldsList</DL>
</DD>
</DL>
<HR>

<A NAME="getFieldsByName()"><!-- --></A><H3>
getFieldsByName</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>,<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt; <B>getFieldsByName</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>fieldsByName</DL>
</DD>
</DL>
<HR>

<A NAME="getBlackFiguresList()"><!-- --></A><H3>
getBlackFiguresList</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt; <B>getBlackFiguresList</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>blackFiguresList ArrayList<Figure></DL>
</DD>
</DL>
<HR>

<A NAME="createGridFields(int, int)"><!-- --></A><H3>
createGridFields</H3>
<PRE>
protected void <B>createGridFields</B>(int&nbsp;maxX,
                                int&nbsp;maxY)</PRE>
<DL>
<DD>Creates a new grid of Fields (Field[maxX][maxY]).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>maxX</CODE> - <DD><CODE>maxY</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="setGridField(int, int, model.chess.Field)"><!-- --></A><H3>
setGridField</H3>
<PRE>
protected void <B>setGridField</B>(int&nbsp;x,
                            int&nbsp;y,
                            <A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</PRE>
<DL>
<DD>Places a Field on a screen grid position.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>x</CODE> - x coordinate<DD><CODE>y</CODE> - y coordinate<DD><CODE>f</CODE> - Field</DL>
</DD>
</DL>
<HR>

<A NAME="getGridFields()"><!-- --></A><H3>
getGridFields</H3>
<PRE>
public <A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>[][] <B>getGridFields</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>gridFields</DL>
</DD>
</DL>
<HR>

<A NAME="getPinsList()"><!-- --></A><H3>
getPinsList</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/trid/Pin.html" title="class in model.chess.trid">Pin</A>&gt; <B>getPinsList</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>pinsList ArrayList<Pin></DL>
</DD>
</DL>
<HR>

<A NAME="getWhiteFiguresList()"><!-- --></A><H3>
getWhiteFiguresList</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt; <B>getWhiteFiguresList</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>whiteFiguresList ArrayList<Figure></DL>
</DD>
</DL>
<HR>

<A NAME="getLastFieldUnderMouse()"><!-- --></A><H3>
getLastFieldUnderMouse</H3>
<PRE>
public <A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A> <B>getLastFieldUnderMouse</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>lastFieldUnderMouse</DL>
</DD>
</DL>
<HR>

<A NAME="setLastFieldUnderMouse(model.chess.Field)"><!-- --></A><H3>
setLastFieldUnderMouse</H3>
<PRE>
public void <B>setLastFieldUnderMouse</B>(<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;lastFieldUnderMouse)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>lastFieldUnderMouse</CODE> - Field</DL>
</DD>
</DL>
<HR>

<A NAME="getLastPinUnderMouse()"><!-- --></A><H3>
getLastPinUnderMouse</H3>
<PRE>
public <A HREF="../../model/chess/trid/Pin.html" title="class in model.chess.trid">Pin</A> <B>getLastPinUnderMouse</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>lastPinUnderMouse</DL>
</DD>
</DL>
<HR>

<A NAME="setLastPinUnderMouse(model.chess.trid.Pin)"><!-- --></A><H3>
setLastPinUnderMouse</H3>
<PRE>
public void <B>setLastPinUnderMouse</B>(<A HREF="../../model/chess/trid/Pin.html" title="class in model.chess.trid">Pin</A>&nbsp;lastPinUnderMouse)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>lastPinUnderMouse</CODE> - Pin</DL>
</DD>
</DL>
<HR>

<A NAME="getFieldUnderMouseDrag()"><!-- --></A><H3>
getFieldUnderMouseDrag</H3>
<PRE>
public <A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A> <B>getFieldUnderMouseDrag</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>fieldUnderMouseDrag</DL>
</DD>
</DL>
<HR>

<A NAME="setFieldUnderMouseDrag(model.chess.Field)"><!-- --></A><H3>
setFieldUnderMouseDrag</H3>
<PRE>
public void <B>setFieldUnderMouseDrag</B>(<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;fieldUnderMouseDrag)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fieldUnderMouseDrag</CODE> - Field</DL>
</DD>
</DL>
<HR>

<A NAME="getPinUnderMouseDrag()"><!-- --></A><H3>
getPinUnderMouseDrag</H3>
<PRE>
public <A HREF="../../model/chess/trid/Pin.html" title="class in model.chess.trid">Pin</A> <B>getPinUnderMouseDrag</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>pinUnderMouseDrag</DL>
</DD>
</DL>
<HR>

<A NAME="setPinUnderMouseDrag(model.chess.trid.Pin)"><!-- --></A><H3>
setPinUnderMouseDrag</H3>
<PRE>
public void <B>setPinUnderMouseDrag</B>(<A HREF="../../model/chess/trid/Pin.html" title="class in model.chess.trid">Pin</A>&nbsp;pinUnderMouseDrag)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>pinUnderMouseDrag</CODE> - Pin</DL>
</DD>
</DL>
<HR>

<A NAME="getMouseDragPosition()"><!-- --></A><H3>
getMouseDragPosition</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A> <B>getMouseDragPosition</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>mouseDragPosition</DL>
</DD>
</DL>
<HR>

<A NAME="setMouseDragPosition(java.awt.Point)"><!-- --></A><H3>
setMouseDragPosition</H3>
<PRE>
public void <B>setMouseDragPosition</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;mouseDragPosition)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>mouseDragPosition</CODE> - Point</DL>
</DD>
</DL>
<HR>

<A NAME="getBlackAttackedFiguresList()"><!-- --></A><H3>
getBlackAttackedFiguresList</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt; <B>getBlackAttackedFiguresList</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>blackAttackedFiguresList</DL>
</DD>
</DL>
<HR>

<A NAME="getWhiteAttackedFiguresList()"><!-- --></A><H3>
getWhiteAttackedFiguresList</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt; <B>getWhiteAttackedFiguresList</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>whiteAttackedFiguresList</DL>
</DD>
</DL>
<HR>

<A NAME="placeFigureOutOfGame(model.chess.Figure)"><!-- --></A><H3>
placeFigureOutOfGame</H3>
<PRE>
public void <B>placeFigureOutOfGame</B>(<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig)</PRE>
<DL>
<DD>Marks a figure as out of game. It will not be shown on the board anymore.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure</DL>
</DD>
</DL>
<HR>

<A NAME="getBlackKing()"><!-- --></A><H3>
getBlackKing</H3>
<PRE>
public <A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A> <B>getBlackKing</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the blackKing Figure</DL>
</DD>
</DL>
<HR>

<A NAME="getWhiteKing()"><!-- --></A><H3>
getWhiteKing</H3>
<PRE>
public <A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A> <B>getWhiteKing</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the whiteKing Figure</DL>
</DD>
</DL>
<HR>

<A NAME="setBlackKing(model.chess.Figure)"><!-- --></A><H3>
setBlackKing</H3>
<PRE>
public void <B>setBlackKing</B>(<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - the blackKing Figure</DL>
</DD>
</DL>
<HR>

<A NAME="setWhiteKing(model.chess.Figure)"><!-- --></A><H3>
setWhiteKing</H3>
<PRE>
public void <B>setWhiteKing</B>(<A HREF="../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - the whiteKing Figure</DL>
</DD>
</DL>
<HR>

<A NAME="displayHelpMessageBox(javax.swing.JFrame)"><!-- --></A><H3>
displayHelpMessageBox</H3>
<PRE>
public abstract void <B>displayHelpMessageBox</B>(<A HREF="http://java.sun.com/javase/6/docs/api/javax/swing/JFrame.html?is-external=true" title="class or interface in javax.swing">JFrame</A>&nbsp;frame)</PRE>
<DL>
<DD>Display a message box or something similar to provide help information.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>frame</CODE> - parent JFrame</DL>
</DD>
</DL>
<HR>

<A NAME="refreshFiguresStates()"><!-- --></A><H3>
refreshFiguresStates</H3>
<PRE>
public abstract void <B>refreshFiguresStates</B>()</PRE>
<DL>
<DD>For all figures needs to find the fields they can move onto, figures they
 can attack, and figures they cover. Also collects fields where regular
 movement is blocked by other figures.<br>
 Marks kings being check or mate.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getFigureImageFilenames()"><!-- --></A><H3>
getFigureImageFilenames</H3>
<PRE>
public static <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>[] <B>getFigureImageFilenames</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the figureImageFilenames</DL>
</DD>
</DL>
<HR>

<A NAME="getFigureTypes()"><!-- --></A><H3>
getFigureTypes</H3>
<PRE>
public static int[] <B>getFigureTypes</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the figureTypes</DL>
</DD>
</DL>
<HR>

<A NAME="getGame()"><!-- --></A><H3>
getGame</H3>
<PRE>
public <A HREF="../../model/chess/trid/Game.html" title="class in model.chess.trid">Game</A> <B>getGame</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the game</DL>
</DD>
</DL>
<HR>

<A NAME="setGame(model.chess.trid.Game)"><!-- --></A><H3>
setGame</H3>
<PRE>
protected void <B>setGame</B>(<A HREF="../../model/chess/trid/Game.html" title="class in model.chess.trid">Game</A>&nbsp;game)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>game</CODE> - the game to set</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/Board.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../model/chess/Field.html" title="class in model.chess"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../index.html?model/chess/Board.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Board.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
